## qemuctl 0.2

=== Makefile ===
# 

## Config
# Edit these to fit your system:
VERSION=0.2
PREFIX=/usr
MANDIR=$(PREFIX)/share/man/man1
BINDIR=$(PREFIX)/bin
SHAREDIR=$(PREFIX)/share/qemuctl
PIXMAPSDIR=$(PREFIX)/share/pixmaps
DOCSDIR=$(PREFIX)/share/doc/qemu-launcher
LOCALEDIR=$(PREFIX)/share/locale
APPLICATIONSDIR=$(PREFIX)/share/applications
## End config

SHELL=/bin/sh

DESTDIR=
EXECUTABLE = qemuctl
MANPAGE = qemuctl.1
DOCS=
POFILES= 

install: 
	install -D $(EXECUTABLE) $(DESTDIR)$(BINDIR)/$(EXECUTABLE)
	install -d $(DESTDIR)$(SHAREDIR)
	install -m644 qemuctl.xml $(DESTDIR)$(SHAREDIR)/qemuctl.xml
	install -m644 -D $(MANPAGE) $(DESTDIR)$(MANDIR)/$(MANPAGE)
	gzip -f --best $(DESTDIR)$(MANDIR)/$(MANPAGE)

uninstall:
	rm $(DESTDIR)$(MANDIR)/$(MANPAGE).gz
	rm $(DESTDIR)$(BINDIR)/$(EXECUTABLE)
	rm -rf $(DESTDIR)$(SHAREDIR)

tar:
	rm -f qemuctl$(VERSION).tar.gz
	mkdir qemuctl$(VERSION) || true
	cp -f $(EXECUTABLE) qemuctl.xml $(MANPAGE) Makefile qemuctl$(VERSION)
	tar cvf qemuctl$(VERSION).tar.gz qemuctl$(VERSION)

## qemuctl 0.3.1

=== debian/changelog ===
qemuctl (0.3.1-4build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:40:30 +0000

qemuctl (0.3.1-4) unstable; urgency=low

  * New maintainer. (Closes: #780270). 
  * Modified maintainer/vcs-fields in control.

 -- Antti Järvinen <antti.jarvinen@katiska.org>  Sat, 08 Aug 2015 22:30:55 +0300

qemuctl (0.3.1-3) experimental; urgency=medium

  * Move repository to alioth.d.o -- gitorious is closing
  * Bump SV to 3.9.6 -- no changes

 -- Tobias Frost <tobi@debian.org>  Wed, 11 Mar 2015 14:09:50 +0100

qemuctl (0.3.1-2) unstable; urgency=medium

  * Overriding lintian pedantic messages
  * Removing generated manpage during clean
  * Reformatted d/README
  * Change maintainer email to my new debian one

 -- Tobias Frost <tobi@debian.org>  Sat, 13 Sep 2014 13:48:30 +0200

qemuctl (0.3.1-1) unstable; urgency=low

  * New maintainer. (Closes: #595553)
  * New upstream release
  * Removing both patches -- they have been applied upstream
  * Bumping S-V to 3.9.5, no changes required
  * Generate manpage in d/rules to avoid linitian warning
  * Add Vcs-* fields to d/control

 -- Tobias Frost <tobi@coldtobi.de>  Thu, 02 Jan 2014 17:37:04 +0100

qemuctl (0.3-1) unstable; urgency=low

  * QA upload.
  * Set Maintainter to QA Group.
  * New upstream release. Fixes by upstream:
    - commit does not work (Closes: #500490)
    - upstream does not use perl anymore (Closes: #435039), therefore is the
      not arch:all anymore.
    - "Can't locate object method "signal_connect" (Closes: #416351)
    - "Typo in qemuctl" (Closes: #428104)
  * Basically regnerationg debian/* from scratch: Updating
    - d/compat -> 9
    - d/rules remade with the help of dh-make
    - d/copyright transferred to dep5
    - d/watch removed dh-make boilerplate
    - d/control updated, also setting homepage right (Closes: #615404)
  * Due to above set policy to 3.9.4
  * New patch 001-ftbfs.patch to fix missing include on unistd.h
  * New patch 002-debug_cannotopendisplay.patch to fix window
    integration of qemu window

 -- Tobias Frost <tobi@coldtobi.de>  Sat, 07 Sep 2013 13:16:12 +0200

qemuctl (0.2-2) unstable; urgency=low

  * Added kvm support (Closes: #409573). Thanks to Junichi Uekawa.

 -- Miguel Gea Milvaques <xerakko@debian.org>  Mon, 28 May 2007 19:05:36 +0200

qemuctl (0.2-1) unstable; urgency=low

  * Initial release (Closes: #384586)

 -- Miguel Gea Milvaques <xerakko@debian.org>  Fri, 25 Aug 2006 12:07:53 +0200

=== debian/control ===
Source: qemuctl
Homepage: http://qemuctl.sourceforge.net/
Section: misc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Antti Järvinen <antti.jarvinen@katiska.org>
Vcs-Browser: https://github.com/operatornormal/qemuctl
Vcs-Git: git://github.com/operatornormal/qemuctl.git -b debian
Priority: optional
Build-Depends: debhelper (>= 9),
               libqt4-dev,
               libx11-dev,
               libxext-dev,
               qt4-qmake,
               perl
Standards-Version: 3.9.6

Package: qemuctl
Architecture: any
Depends: qemu ( >= 0.8.0-1), ${misc:Depends}, ${shlibs:Depends}
Recommends: qemu-launcher
Description: controlling GUI for qemu
 This is a controller GUI for the run-time options of QEMU computer
 emulator. It can be used as a stand-alone application or as a plug-in
 for Qemu Launcher. (Only x86 PC emulator is supported.)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export QT_SELECT := qt4

%:
	dh $@

# overriden to avoid installing to usr/lib/<arch>/... (the override is empty)
override_dh_auto_install:

override_dh_installman:
	pod2man doc/qemuctl.pod > debian/qemuctl.1
	dh_installman
